Page MenuHomePhabricator | MITK

Create pages and enable navigation
Closed, ResolvedPublic

Description

Create the navigation bar and enable the navigation via pages

Related Objects

Event Timeline

rosst created this task.Jan 17 2018, 4:28 PM
kurschei claimed this task.Jan 18 2018, 1:22 PM
kurschei added a comment.EditedJan 19 2018, 3:21 PM
  • Switching pages is working on my Branch. Problematic is that the page is rendering new every time, so all the clicks are lost. -> Need to look into that.

We could use Redux or the react state for saving the state of the individual page, currently we are using only the react state on component basis. But I implemented Redux with example files into our projectstructure -> So basically ready to go.
-> Yesterday I tried to solve the bugs in your branch @rosst but couldn´t solve them. So I tried an different approach in my new branch called origin/feature/T24067-CleanBranch-enableNavigation . There is a concept in React where you can access the "child"-components -> Check it out in my code.
-> Maybe your solution will work (after bugfixing) out and that will solve the state problematic. Otherwise my version is changing the pages but we need to find a solution for the state.

-> For further information just call me.

kurschei reassigned this task from kurschei to rosst.Jan 19 2018, 3:21 PM
rosst closed this task as Resolved.Feb 6 2018, 6:28 PM

This task is solved in Task T24163. A restructuring of the pages according to the config file was necessary. The "page" elements are now hided via css so all changes/inputs are stored by the browser.